列出 Private Endpoint 服务 (V2)
Lists the private endpoint services available across cloud regions.
GET/v2/privateEndpointServices
该 API 的 Base URL 格式如下:
https://${CLUSTER_ENDPOINT}
📘说明
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API Key。
示例值:Bearer {{TOKEN}}
projectIdstringquery
用于限定可用服务范围的项目 ID。
示例值:proj-xxxxxxxxxxxxxxxxxxx
regionIdstringquery
用于筛选服务的云地域 ID。
示例值:ali-cn-hangzhou
currentPageintegerquery
返回的页码,第一页为 1。
示例值:1
pageSizeintegerquery
每页返回的条目数。超出 1 至 100 范围时使用默认值 10。
示例值:10
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request GET \
--url "${CLUSTER_ENDPOINT}/v2/privateEndpointServices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 OK - application/json
返回成功结果或错误消息。
成功响应。
codeinteger必填项
响应码。
示例值:0
dataobject必填项
Private Endpoint 服务分页列表。
endpointServicesarray
Private Endpoint 服务列表。
[]endpointServicesobject
云地域中可用的 Private Endpoint 服务。
regionIdstring
云地域 ID。
cloudIdstring
云服务提供商 ID。
endpointServicestring
Endpoint 服务名称。
whitelistRequiredboolean
该服务是否要求将外部云账号添加到白名单。
currentPageinteger
当前页码。
pageSizeinteger
每页条目数。
countinteger
匹配的服务总数。
失败响应。
codeinteger必填项
响应码。
messagestring必填项
错误消息。
Successjson
{
"code": 0,
"data": {
"endpointServices": [
{
"regionId": "ali-cn-hangzhou",
"cloudId": "ali",
"endpointService": "com.aliyuncs.privatelink.cn-hangzhou.epsrv-xxxxxxxxxxxxxxxxx",
"whitelistRequired": true
}
],
"currentPage": 1,
"pageSize": 10,
"count": 1
}
}